import 'package:sql_query/builder/query_builder.dart';
import 'package:sql_query/database_model.dart';
import 'package:sql_query_example/database/merge/config.dart';

class Data {
  static const String table = 'data_data';
  static const String name = 'name';
  static const String id = 'id';

  static tables() {
    return TableDatabase(
      tableName: "data_data",
      column: [
        ColumnDatabase(name: name, typeData: DataType.text),
        ColumnDatabase(name: id, typeData: DataType.integer, primaryKey: true, autoIncrement: true),
      ],
    );
  }

  static insert() async {
    final q = MergeConfig.database.table('data_data');
    q.data({
      'name': 'cuma data',
    });
    await q.insert();
  }

  static check() async {
    final q = MergeConfig.database.table('data_data');
    final get = await q.get();
    print(get);
  }
}
