import 'package:sql_query/builder/query_builder.dart';
import 'package:sql_query/database_model.dart';
import 'package:sql_query_example/satuan.dart';

class Produk {
  static const String table = 'm_product';
  static const String id = 'p_id';
  static const String satuan = 'p_satuan';
  static const String nama = 'p_nama';
  static const String nama2 = 'p_nama_2';

  static tables() {
    return TableDatabase(
      tableName: table,
      foreignKey: ForeignKey(
        baseColumn: satuan,
        referenceColumn: Satuan.id,
        referenceTable: Satuan.table,
        deleteAction: ForeignKeyAction.setCascade,
        updateAction: ForeignKeyAction.setCascade,
      ),
      column: [
        ColumnDatabase(name: id, typeData: DataType.integer, primaryKey: true, autoIncrement: true),
        // ColumnDatabase(name: nama, typeData: DataType.text),
        ColumnDatabase(name: nama2, typeData: DataType.text),
        ColumnDatabase(name: satuan, typeData: DataType.integer),
      ],
    );
  }

  static add() async {
    final q = DB.table(table);
    q.data({nama: 'nice', satuan: '1'});
    await q.insert();
  }

  static get() async {
    final q = DB.table(table);
    print(await q.get());
  }
}
