enum DataType { text, integer, double }
enum ForeignKeyAction { setnull, setDefault, restrict, setnoAction, setCascade }

class ForeignKey {
  String referenceTable, referenceColumn, baseColumn;
  ForeignKeyAction? updateAction;
  ForeignKeyAction? deleteAction;

  static String getAction(
    ForeignKeyAction action,

    /// `Update` , `Delete`
    String type,
  ) {
    String query = '';
    if (action == ForeignKeyAction.setnull) {
      query += ' ON ${type.toUpperCase()} SET NULL ';
    } else if (action == ForeignKeyAction.restrict) {
      query += ' ON ${type.toUpperCase()} RESTRICT ';
    } else if (action == ForeignKeyAction.setCascade) {
      query += ' ON ${type.toUpperCase()} CASCADE ';
    } else if (action == ForeignKeyAction.setDefault) {
      query += ' ON ${type.toUpperCase()} SET DEFAULT ';
    } else if (action == ForeignKeyAction.setnoAction) {
      query += ' ON ${type.toUpperCase()} NO ACTION ';
    }
    return query;
  }

  ForeignKey({required this.baseColumn, required this.referenceTable, required this.referenceColumn, this.updateAction = ForeignKeyAction.restrict, this.deleteAction = ForeignKeyAction.restrict});
}

class TableDatabase {
  String tableName;
  List<ColumnDatabase> column;
  ForeignKey? foreignKey;

  TableDatabase({required this.column, required this.tableName, this.foreignKey});
}

class ColumnDatabase {
  bool primaryKey, autoIncrement, isNull;
  String name;
  String? defaultValue;
  DataType typeData;

  ColumnDatabase({this.autoIncrement = false, this.isNull = false, required this.name, required this.typeData, this.primaryKey = false, this.defaultValue});
}
